on:
  pull_request:
    types:
      - opened
      - synchronize
      - reopened
  push:
    branches:
      - main

jobs:
  check-pre-commit:
    runs-on: native
    steps:
      - uses: actions/checkout@v4
      - run: nix build .#checks.x86_64-linux.pre-commit -L

  check-website:
    runs-on: native
    steps:
      - uses: actions/checkout@v4
      - run: cd website && nix-build -A tests
      - run: cd website && nix-build -A build

  check-peertube:
    runs-on: native
    steps:
      - uses: actions/checkout@v4
      - run: nix build .#checks.x86_64-linux.peertube -L
